using System;

namespace flash
{
	/// <summary>
	/// URLRewrite 的摘要说明。
	/// </summary>
	public class URLRewrite
	{
		#region 成员变量
		private string _Name;
		public string Name
		{
			get
			{
				return _Name;
			}
			set
			{
				_Name = value;
			}
		}

		private string _Pattern;
		public string Pattern
		{
			get
			{
				return _Pattern;
			}
			set
			{
				_Pattern = value;
			}
		}

		private string _Page;
		public string Page
		{
			get
			{
				return _Page;
			}
			set
			{
				_Page = value;
			}
		}

		private string _QueryString;
		public string QueryString
		{
			get
			{
				return _QueryString;
			}
			set
			{
				_QueryString = value;
			}
		}
		#endregion 

		#region 构造函数
		public URLRewrite(string name, string pattern, string page, string querystring)
		{
			_Name = name;
			_Pattern = pattern;
			_Page = page;
			_QueryString = querystring;
		}
		#endregion
	}
}
